# Uses of Class
org.jmol.util.JmolMolecule

Packages that use JmolMolecule
Package
Description
org.jmol.modelset
org.jmol.smiles
Jmol SMILES, Jmol SMARTS, Jmol bioSMILES, and Jmol bioSMARTS
org.jmol.util

## Uses of JmolMolecule in org.jmol.modelset

Fields in org.jmol.modelset declared as JmolMolecule
Modifier and Type
Field
Description
`protected JmolMolecule[]`
BondCollection.`molecules`
Methods in org.jmol.modelset that return JmolMolecule
Modifier and Type
Method
Description
`JmolMolecule[]`
ModelSet.`getMolecules()`

## Uses of JmolMolecule in org.jmol.smiles

Subclasses of JmolMolecule in org.jmol.smiles
Modifier and Type
Class
Description
`class`
`SmilesSearch`
A class to build and carry out a SMILES or SMARTS match
`static class`
`SmilesSearch.SmilesTarget`

## Uses of JmolMolecule in org.jmol.util

Methods in org.jmol.util that return JmolMolecule
Modifier and Type
Method
Description
`static final JmolMolecule[]`
JmolMolecule.`addMolecule(JmolMolecule[] molecules, int iMolecule, Node[] atoms, int iAtom, BS bsBranch, int modelIndex, int indexInModel, BS bsExclude)`
`static final JmolMolecule[]`
JmolMolecule.`getMolecules(Node[] atoms, BS[] bsModelAtoms, Lst<BS> biobranches, BS bsExclude)`
Creates an array of JmolMolecules from a set of atoms in the form of simple JmolNodes.
Methods in org.jmol.util with parameters of type JmolMolecule
Modifier and Type
Method
Description
`static final JmolMolecule[]`
JmolMolecule.`addMolecule(JmolMolecule[] molecules, int iMolecule, Node[] atoms, int iAtom, BS bsBranch, int modelIndex, int indexInModel, BS bsExclude)`